#include "journal.hpp"
#include <iostream>
#include <sstream>
#include <stdio.h>

int main(int argc, const char* argv[]) {
  auto stream = std::make_shared<std::stringstream>();

  journal::init_no_threads();
  journal::add_std_err();
  journal::add_std_out();
  journal::add_sink(stream, journal::LogVerbosity::Warn);
  journal::add_file("test.log");
  journal::info("some info!");
  journal::error("something went wrong!");
  journal::warn("something went slightly wrong!");
  LOG_F(INFO, "test ");
  LOG_F(INFO, "test {}", 1.3f);
  LOG_F(INFO, "test {} {} {}", 1.3f, true, 'C');
  std::cin.get();
  std::cout << "stream content: \n" << stream->view() << "\n";
  journal::trace("just some very verbose stuff here");
  return 1;
}